# Poco::XML

# class ElementsByTagNameListNS

Library: XML
Package: DOM
Header: Poco/DOM/ElementsByTagNameList.h

## Inheritance

Direct Base Classes: NodeList

All Base Classes: DOMObject, NodeList

## Member Summary

Member Functions: autoRelease, find, item, length

Inherited Functions: autoRelease, duplicate, item, length, release

## Constructors

### ElementsByTagNameListNS

ElementsByTagNameListNS(
const Node * pParent,
const XMLString & namespaceURI,
const XMLString & localName
);

## Destructor

### ~ElementsByTagNameListNS

~ElementsByTagNameListNS();

## Member Functions

### autoRelease

virtual void autoRelease();

See also: Poco::XML::DOMObject::autoRelease()

### item

virtual Node * item(
unsigned long index
) const;

See also: Poco::XML::NodeList::item()

### length

virtual unsigned long length() const;

See also: Poco::XML::NodeList::length()

### find

Node * find(
const Node * pParent,
unsigned long index
) const;

## Variables

### _count

mutable unsigned long _count;

### _localName

XMLString _localName;

### _namespaceURI

XMLString _namespaceURI;

### _pParent

const Node * _pParent;